Last Comment Bug 10671 - [DOGFOOD] unexpected selection behavior clicking in text
: [DOGFOOD] unexpected selection behavior clicking in text
Status: VERIFIED FIXED
[PDT+]
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: ---
Assigned To: mjudge
: sujay
:
Mentors:
default editor page
Depends on:
Blocks: 12658
  Show dependency treegraph
 
Reported: 1999-07-28 11:56 PDT by buster
Modified: 2001-09-12 00:43 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description buster 1999-07-28 11:56:05 PDT
there are small inconsistencies in setting collapsed selections with the mouse
that make the editor hard to use.  Those the the cc list, please add specific
examples to this bug.

1) start clicking a character at a time through the editor default home page,
trying to get the caret between every character including spaces.  Tedious, but
you'll find there are several spots where you can't select with the mouse.  I
had a hard time getting the caret to offset 11 in the first line, from after 'e'
to after the space in
"Here's the deal..."
            ^
It seemed to matter that the previous selection was between 'h' and 'e'.
I think this is a fairly common problem at the beginning of a word.

2) I have a hard time selecting an entire line in some places.  The last
character or two often don't get selected. If I click at the beginning of a line
and drag quickly, I usually see the problem (like on the "Reruns" line.)  If I
drag slowly, I almost always get the entire line selected correctly.
Comment 1 mjudge 1999-08-25 14:52:59 PDT
hmm yes this is a problem also with getposition code again similar to bug 3836.
Comment 2 mjudge 1999-09-14 17:54:59 PDT
Praise BE! old betsy is dead. you now click exactly inbetween two chars and it
does the right thing.  i am so glad this is gone. what a long time to wait for a
1 line fix :)
Comment 3 sujay 1999-09-15 14:09:59 PDT
verified in 9/15 build.
Comment 4 leger 1999-10-12 10:28:59 PDT
Putting on [PDT]+ radar.

Note You need to log in before you can comment on or make changes to this bug.